--
-- Mod: FS19_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersCommodityPrices by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.2.1.0 Compatible with Seasons
-- 30.11.2018 - 30.09.2019

RealNumbersSellingStations = {};

function RealNumbersSellingStations:loadMap(name)
	print("\nFS19_RealLifeNumbers: RealNumbersSellingStations active\n")
	print("\nReduces the difference between lowest and highest sell price\n");
end;

function RealNumbersSellingStations:keyEvent(unicode, sym, modifier, isDown)
end;

function RealNumbersSellingStations:update(dt)

	for k,placeable in pairs(g_currentMission.placeables) do
		local sellingStation = placeable.sellingStation;
		if sellingStation ~= nil then
			for kk, fillTypeCurve in pairs(sellingStation.pricingDynamics) do
				local originalFillTypePricesUnscaled = sellingStation.originalFillTypePricesUnscaled;
				local fillName = tostring(g_fillTypeManager:getFillTypeNameByIndex(kk));				
				fillTypeCurve.baseCurve.amplitude = 0.05 * originalFillTypePricesUnscaled[kk];
				fillTypeCurve.baseCurve.nominalAmplitude  = 0.05 * originalFillTypePricesUnscaled[kk];
				fillTypeCurve.baseCurve.nominalAmplitudeVariation  = 0.005 * originalFillTypePricesUnscaled[kk];
			end;
		end;
	end;
end;
function RealNumbersSellingStations:draw()
end;
function RealNumbersSellingStations:deleteMap()
end;
function RealNumbersSellingStations:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersSellingStations);